Bug 39771 - [Qt] PasteboardQt.cpp has coding-style errors
Summary: [Qt] PasteboardQt.cpp has coding-style errors
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC All
: P5 Normal
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2010-05-26 13:33 PDT by Anders Bakken
Modified: 2011-01-08 18:13 PST (History)
4 users (show)

See Also:


Attachments
Patch that fixes the coding style issues (2.69 KB, patch)
2010-05-26 14:38 PDT, Anders Bakken
no flags Details | Formatted Diff | Diff
Patch (2.78 KB, patch)
2010-06-04 20:13 PDT, Anders Bakken
no flags Details | Formatted Diff | Diff
Patch (3.46 KB, patch)
2011-01-08 07:52 PST, Benjamin Poulain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anders Bakken 2010-05-26 13:33:24 PDT
WebCore/platform/qt/PasteboardQt.cpp:36:  Alphabetical sorting problem.  [build/include_order] [4]
WebCore/platform/qt/PasteboardQt.cpp:39:  Alphabetical sorting problem.  [build/include_order] [4]
WebCore/platform/qt/PasteboardQt.cpp:41:  Alphabetical sorting problem.  [build/include_order] [4]
WebCore/platform/qt/PasteboardQt.cpp:138:  _url is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Total errors found: 4 in 1 files
Comment 1 Anders Bakken 2010-05-26 14:38:40 PDT
Created attachment 57151 [details]
Patch that fixes the coding style issues
Comment 2 Petri Ojala 2010-05-26 21:48:18 PDT
Qt, QtTriaged
Comment 3 David Levin 2010-05-27 11:17:21 PDT
Comment on attachment 57151 [details]
Patch that fixes the coding style issues

>   No new tests. (OOPS!)
Ditto.
Comment 4 Anders Bakken 2010-06-04 20:13:54 PDT
Created attachment 57948 [details]
Patch
Comment 5 Eric Seidel (no email) 2010-06-04 22:06:33 PDT
Comment on attachment 57948 [details]
Patch

I don't understand this change:
47     QApplication::clipboard()->setMimeData(md, m_selectionMode ?
148              QClipboard::Selection : QClipboard::Clipboard);
 148                                            QClipboard::Selection : QClipboard::Clipboard);

do we have a style rule about wrapping? I don't think so.  I would rather use a temporary for that line to make it more clear instead of such strange indent.
Comment 6 David Levin 2010-06-14 11:33:08 PDT
Comment on attachment 57948 [details]
Patch

Please consider Eric's comment.
Comment 7 Benjamin Poulain 2011-01-07 11:41:39 PST
Anders, what is the status of this?
Comment 8 Benjamin Poulain 2011-01-08 07:52:44 PST
Created attachment 78310 [details]
Patch
Comment 9 WebKit Commit Bot 2011-01-08 18:13:37 PST
Comment on attachment 78310 [details]
Patch

Clearing flags on attachment: 78310

Committed r75339: <http://trac.webkit.org/changeset/75339>
Comment 10 WebKit Commit Bot 2011-01-08 18:13:44 PST
All reviewed patches have been landed.  Closing bug.